#include "SynEngine.hpp"

int main(int argc, char const *argv[])
{
    GameConfiguration config = GameConfiguration("Configurations");
    GameManager::SetConfig(config);
    GameWindow window("Long Starlight");
    Grid grid = Grid();
    GameManager::SetGrid(grid);
    grid.SetGrid();
    Snake player;

    window.BindDrawable(&grid, &IDrawable::Draw);
    window.BindBehaviour(&player, &IBehaviour::Update);

    while (window.IsOpen())
        window.Update();
    
    std::cout << "/)(\\";
    return 0;
}
